summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2019-07-07 11:11:23 +0000
committerAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2019-07-07 11:11:23 +0000
commit95fb94471ae8a455e51375b2610e924b66cf67f5 (patch)
tree3631a748dfe871d0a7372635883d9486b2e52e10
parentef16ad430b9e7b4214b0548afef49d5115d50a5d (diff)
Tell user to look at manually running /usr/libexec/reorder_kernel in case
it fails at the end of the syspatch run. Because a kernel syspatch was installed, a user could think the kernel was updated accordingly; which is not the case if reorder_kernel fails.
-rw-r--r--usr.sbin/syspatch/syspatch.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/usr.sbin/syspatch/syspatch.sh b/usr.sbin/syspatch/syspatch.sh
index 06234bbbc59..e1719f5e2d4 100644
--- a/usr.sbin/syspatch/syspatch.sh
+++ b/usr.sbin/syspatch/syspatch.sh
@@ -1,6 +1,6 @@
#!/bin/ksh
#
-# $OpenBSD: syspatch.sh,v 1.148 2019/05/05 10:34:01 ajacoutot Exp $
+# $OpenBSD: syspatch.sh,v 1.149 2019/07/07 11:11:22 ajacoutot Exp $
#
# Copyright (c) 2016, 2017 Antoine Jacoutot <ajacoutot@openbsd.org>
#
@@ -217,8 +217,6 @@ rollback_patch()
trap_handler()
{
- local _rc=0
-
set +e # we're trapped
rm -rf "${_TMP}"
@@ -234,7 +232,9 @@ trap_handler()
if /usr/libexec/reorder_kernel; then
echo " done; reboot to load the new kernel"
else
- _rc=$?; echo " failed!"; exit ${_rc}
+ echo " failed!\n!!! \"/usr/libexec/reorder_kernel\" \
+must be run manually to install the new kernel"
+ exit 1
fi
fi